@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@700&family=Montserrat:wght@500;600&display=swap');
body{
    background-color: #000;
    background-image: url("imgs/bg.png");
    background-position: top center;
    background-repeat: no-repeat;
}
.top-line{
    background: #FE0;
    height: 10px;
    width: 100%;
}
.navi-logo{
    margin-top: 14px;
}
.topbar{
    width: 100%;
    height: 97px;
    border-bottom: 1px;
    display: flex;
    flex-direction: row;
}
.topbar-nav{
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: row;
    width: 80%;
}
.nav-a{
    margin-left: auto;
    margin-right: auto;
    height: 100%;
    border-bottom: 1px solid white;
    position: relative;
    top: 1px;
    width: 140px;
    display: flex;
    align-items: center;
    left: -60px;
}
.nav-a-span{
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 22px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
.nav-a-span img{
    position: relative;
    top: 10px;
    left: -1px;
}
.nav-nav{
    width: 80%;
    margin-left: 120px;
    height: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.17);
}
main{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.section1{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.section1-text1{
    margin-top: 93px;
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 72px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.section1-text-highl{
    color: #FFF243;
    font-family: Montserrat;
    font-size: 72px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.section1-text2{
    color: rgba(255, 255, 255, 0.55);
    text-align: center;
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
.section1-text3{
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 35px;
}
.section1-btn{
    border-radius: 16px;
    background: #FFF243;
    width: 176px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #1C1B1E;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Manrope;
    font-size: 15px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 19px;
}
.section1-blocks{
    background-image: url("imgs/blocks.png");
    display: flex;
    flex-direction: row;
    gap: 34px;
    width: 1796.499px;
    height: 300px;
    border: 0;
    outline: 0;
    background-repeat: no-repeat;
    justify-content: center;
    align-items: center;
}
.section1-blocks img{
    position: relative;
    top: -10px;
}
.section1-blocks-item{
    border-radius: 30px;
    background: #000;
    width: 240px;
    height: 240px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.blocks-item-text1{
    position: relative;
    top: -27px;
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.blocks-item-text2{
    position: relative;
    top: -27px;
    color: #FFF243;
    text-align: center;
    font-family: Montserrat;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.section2{
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}
.section2-text1{
    color: #FFF;
    text-align: center;
    font-family: Montserrat;
    font-size: 72px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin-top: 128px;
}
.section2-case{
    z-index: -1;
    position: absolute;
    top: -100px;
}
.section2-btn{
    display: flex;
    width: 299.2px;
    height: 88.4px;
    align-items: center;
    justify-content: center;
    color: #1C1B1E;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Manrope;
    font-size: 25.5px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    position: relative;
    border-radius: 27.2px;
    background: #FFF243;
    top: 360px;
}
.navi-footer{
    position: relative;
    top: 550px;
    padding-bottom: 30px;
}

.case-wrapper {
    min-width: 100vw;
    min-height: 100vh;
    position: absolute;
    backdrop-filter: blur(5px);
    z-index: 9000;
    animation: fadeIn .1s ease-in-out;
    display: none;
    background: rgba(0, 0, 0, 0.5);
}

.case-window{
    position: fixed;
    padding: 2rem;
    border-radius: 24px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    background-color: rgba(255, 242, 67, 0.43);
    max-width: 400px;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    border: 1px solid #FFF243;
}
.login-btn{
    margin-top: 10px;
    padding: 10px;
    border-radius: 10px;
    opacity: 0.6;
    color: #1C1B1E;
    font-family: Montserrat;
    font-size: 24.5px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%;
    background: #FFF243;
}
.skin-img{
    width: 200px;
}
#rolledd{
    color: #1C1B1E;
    font-family: Montserrat;
    font-size: 24.5px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%;
    text-align: center;
}


.raffle-roller {
    	height: 100px;
    	position: relative;
    	margin: 60px auto 30px auto;
    	width: 900px;
        display: none;
}
.raffle-roller-holder {
    	position: absolute;
    	top: 0;
    	left: 0;
    	right: 0;
    	bottom: 0;
    	height: 100px;
    	width: 100%;
}
.raffle-roller-holder {
    	overflow: hidden;
    	border-radius: 2px;
	border: 1px solid #3c3759;
}
.raffle-roller-holder {
    	position: absolute;
    	top: 0;
    	left: 0;
    	right: 0;
    	bottom: 0;
    	height: 100px;
    	width: 100%;
}
.raffle-roller-container {
    	width: 9999999999999999999px;
    	max-width: 999999999999999999px;
    	height: 100px;
    	background: #191726;
    	margin-left: 0;
    	transition: all 8s cubic-bezier(.08,.6,0,1);
}
.raffle-roller-holder:before {
	content: "";
	position: absolute;
	border: none;
	z-index: 12222225;
	width: 5px;
	height: 100%;
	left: 50%;
	background: #d16266;
}
.item {
	display: inline-block;
	float: left;
	margin: 4px 0px 0.5px 5px;
    	width: 85px;
	height: 88px;
    	float: left;
	border: 1px solid #70677c;
	background: #14202b;
	background-size: 100%;
   	background-repeat: no-repeat;
    	background-position: center;
}
.class_red_item {
	border-bottom: 4px solid #EB4B4B;
}
.pc-hide{
    display: none;
}
@media screen and (max-width: 1800px) {
    .laptop-hide{
        display: none;
    }
    .laptop-show{
        display: flex;
    }
    .navi-logo{
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 30px;
    }
    .nav-nav{
        margin-left: auto;
        margin-right: auto;
    }
    .section1-blocks{
        transform: scale(0.5);
        position: relative;
        top: -80px;
    }
    .illu{
        height: 400px;
    }
    .topbar{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .topbar-nav{
        height: 100%;
        width: 100%;
    }
    .nav-a{
        position: unset;
    }
}
@media screen and (max-width: 900px){
    .section1-blocks{
        transform: scale(0.25);
        position: relative;
        top: -110px;
    }
    .blocks2{
        position: relative;
        top: -200px;
    }
    .illu{
        height: 200px;
        position: relative;
    }
    .section1-text1{
        font-size: 36px;
    }
    .section1-text-highl{
        font-size: 36px;
    }
    .section1-text2{
        margin-top: 10px;
        font-size: 13px;
    }
    .section2{
        transform: scale(0.8);
    }
    .raffle-roller{
        width: 80vw;
        margin: auto 0 auto 0;
    }
    .mobile-show{
        display: flex;
    }
    .mobile-hide{
        display: none;
    }
}
@media screen and (max-width: 500px){
    body{
        transform: scale(0.8);
        position: relative;
        top: -150px;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}